net.corda.flows

## Class IssuerFlow.IssuanceRequester

- FlowLogic
- - net.corda.flows.IssuerFlow.IssuanceRequester

- Enclosing class:
    IssuerFlow

      public static class IssuerFlow.IssuanceRequester
      extends FlowLogic

  IssuanceRequester should be used by a client to ask a remote node to issue some `interface FungibleAsset` with the given details. Returns the transaction created by the Issuer to move the cash to the Requester.

  See Also:
    `interface FungibleAsset`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IssuanceRequester(Amount<java.util.Currency> amount, Party issueToParty, OpaqueBytes issueToPartyRef, Party issuerBankParty)` IssuanceRequester should be used by a client to ask a remote node to issue some `interface FungibleAsset` with the given details. Returns the transaction created by the Issuer to move the cash to the Requester.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SignedTransaction` | `call()` This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.
    `Amount<java.util.Currency>` | `getAmount()`
    `Party` | `getIssueToParty()`
    `OpaqueBytes` | `getIssueToPartyRef()`
    `Party` | `getIssuerBankParty()`

    - ### Methods inherited from class net.corda.core.flows.FlowLogic

      `call, getCounterpartyMarker, getLogger, getProgressTracker, getRunId, getServiceHub, getStateMachine, receive, send, sendAndReceive, setStateMachine, subFlow, subFlow, track, waitForLedgerCommit`

- - ### Constructor Detail

    - #### IssuanceRequester

          public IssuanceRequester(Amount<java.util.Currency> amount,
                                   Party issueToParty,
                                   OpaqueBytes issueToPartyRef,
                                   Party issuerBankParty)

      IssuanceRequester should be used by a client to ask a remote node to issue some `interface FungibleAsset` with the given details. Returns the transaction created by the Issuer to move the cash to the Requester.

      See Also:
        `interface FungibleAsset`

  - ### Method Detail

    - #### call

          public SignedTransaction call()

      This is where you fill out your business logic. The returned object will usually be ignored, but can be helpful if this flow is meant to be used as a subflow.

    - #### getAmount

          public Amount<java.util.Currency> getAmount()

    - #### getIssueToParty

          public Party getIssueToParty()

    - #### getIssueToPartyRef

          public OpaqueBytes getIssueToPartyRef()

    - #### getIssuerBankParty

          public Party getIssuerBankParty()